org.eclipse.eef

## Enum EEF_TOGGLE_STYLE

- java.lang.Object
- - java.lang.Enum<EEF_TOGGLE_STYLE>
  - - org.eclipse.eef.EEF_TOGGLE_STYLE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EEF_TOGGLE_STYLE>, org.eclipse.emf.common.util.Enumerator

    public enum EEF_TOGGLE_STYLE
    extends java.lang.Enum<EEF_TOGGLE_STYLE>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'EEF TOGGLE STYLE', and utility methods for working with them.

See Also:
  `EefPackage.getEEF_TOGGLE_STYLE()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE` The 'NONE' literal object.
`TREE_NODE` The 'TREE NODE' literal object.
`TWISTIE` The 'TWISTIE' literal object.

### Field Summary

Fields
`static int` `NONE_VALUE` The 'NONE' literal value.
`static int` `TREE_NODE_VALUE` The 'TREE NODE' literal value.
`static int` `TWISTIE_VALUE` The 'TWISTIE' literal value.
`static java.util.List<EEF_TOGGLE_STYLE>` `VALUES` A public read-only list of all the 'EEF TOGGLE STYLE' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EEF_TOGGLE_STYLE` `get(int value)` Returns the 'EEF TOGGLE STYLE' literal with the specified integer value.
`static EEF_TOGGLE_STYLE` `get(java.lang.String literal)` Returns the 'EEF TOGGLE STYLE' literal with the specified literal value.
`static EEF_TOGGLE_STYLE` `getByName(java.lang.String name)` Returns the 'EEF TOGGLE STYLE' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static EEF_TOGGLE_STYLE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EEF_TOGGLE_STYLE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TWISTIE

    public static final EEF_TOGGLE_STYLE TWISTIE

The 'TWISTIE' literal object.

See Also:
  `TWISTIE_VALUE`

#### TREE_NODE

    public static final EEF_TOGGLE_STYLE TREE_NODE

The 'TREE NODE' literal object.

See Also:
  `TREE_NODE_VALUE`

#### NONE

    public static final EEF_TOGGLE_STYLE NONE

The 'NONE' literal object.

See Also:
  `NONE_VALUE`

### Field Detail

#### TWISTIE_VALUE

    public static final int TWISTIE_VALUE

The 'TWISTIE' literal value.

If the meaning of 'TWISTIE' literal object isn't clear, there really should be more of a description here...

See Also:
  `TWISTIE`, Constant Field Values

#### TREE_NODE_VALUE

    public static final int TREE_NODE_VALUE

The 'TREE NODE' literal value.

If the meaning of 'TREE NODE' literal object isn't clear, there really should be more of a description here...

See Also:
  `TREE_NODE`, Constant Field Values

#### NONE_VALUE

    public static final int NONE_VALUE

The 'NONE' literal value.

If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

See Also:
  `NONE`, Constant Field Values

#### VALUES

    public static final java.util.List<EEF_TOGGLE_STYLE> VALUES

A public read-only list of all the 'EEF TOGGLE STYLE' enumerators.

### Method Detail

#### values

    public static EEF_TOGGLE_STYLE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EEF_TOGGLE_STYLE c : EEF_TOGGLE_STYLE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EEF_TOGGLE_STYLE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static EEF_TOGGLE_STYLE get(java.lang.String literal)

Returns the 'EEF TOGGLE STYLE' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static EEF_TOGGLE_STYLE getByName(java.lang.String name)

Returns the 'EEF TOGGLE STYLE' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static EEF_TOGGLE_STYLE get(int value)

Returns the 'EEF TOGGLE STYLE' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<EEF_TOGGLE_STYLE>`